- entityDefinitions:
  - IDI_Task_ProductType_View:    '{f0ae1d85-67b7-4a9f-9ec8-bdcfa7e8de3c}'
  - IDI_Task_ProductType_Edit:    '{ef1c1d10-785b-485d-ba45-8f5f0a0a51a1}'
  - IDE_ProductType_View:        '{cef1abb9-a47d-46ec-b7ff-66d0fd3a49f5}'
  - IDE_ProductType_Edit:        '{fb017f3c-fb33-4c81-b853-222cc9e2d255}'
  - IDE_ProductType_Definition:  '{69cd258a-af5d-49b3-b71b-84a1c3ff49e6}'
  - IDI_TaskCategory_ProductType: '{4d2ecc85-edd7-43de-bd14-4c9b7da19484}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_ProductType;'
    name: 'Product Type'

  - sequenceTask: '&IDI_Task_ProductType_View;'
    name: 'View Product Type'
    initiatingElement: '&IDE_ProductType_View;'
    taskCategory: '&IDI_TaskCategory_ProductType;'

  - sequenceTask: '&IDI_Task_ProductType_Edit;'
    name: 'Edit Product Type'
    initiatingElement: '&IDE_ProductType_Edit;'
    taskCategory: '&IDI_TaskCategory_ProductType;'

  - element: '&IDE_ProductType_View;'
    name: 'View Product Type'
    elementContents:
    - globalIdentifier: '{18f4bf01-9e73-4b42-ad0e-887e27a9d002}'
      defaultDataType: '&IDC_ProductType;'
      label: 'Product Type'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{1892d040-7205-4268-bc60-65481a869cb5}'
      defaultDataType: '&IDE_ProductType_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ProductType_Edit;'
    name: 'Edit ProductType'
    elementContents:
    - globalIdentifier: '{7b14d3cf-2b4e-405f-8f53-bff380f934a4}'
      defaultDataType: '&IDC_ProductType;'
      label: 'ProductType'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{312b77cf-5150-4913-a696-a04f44ab6369}'
      defaultDataType: '&IDE_ProductType_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ProductType_Definition;'
    name: 'ProductType subedits'
    elementContents:
    # - globalIdentifier: '{6b64a3dc-84c8-4956-a007-4b0f92c52420}'
    #   defaultDataType: '&IDA_ProductType;'
    - globalIdentifier: '{87bfaf7c-e4e2-4181-9033-6c716679006c}'
      defaultDataType: '&IDA_Name;'